%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Checks to see if the ball is locking by checking to see if the current
%     and previous impacts are within an arbitrarily small time interval
% Returns 1 if ball is in locking condition, 0 otherwize
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function islocked = checkLocking(t1, t2, f0)
tol = 15E-3;

% If the flight time between impacts is less than a certain value, 
% then locking occurs
flight_time = (t2 - t1);
if (flight_time < tol)
    islocked = 1;
else
    islocked = 0;
end